Subject: Re: [OPSAWG] Looking forward to your comments: Survey and Gap Analysis for Policies and Dynamic Information Migration in Data Center

From: <[email-masked]>
Date: Fri, 22 Jul 2011 11:19:45 -0400

The draft-gu-opsa-policies-migration-00 is not completely clear to me.  The network diagrams, starting with Figure 1, do not indicate the L2 vs. L3 network boundaries (e.g., what's the scope of the VLANs mentioned in Section 3.1), and the function of the "Gateway" at the top of the diagrams is not described.  This is a concern, as if there's no L2 connectivity through the Gateway across the two sides of the diagram, the left-to-right VM migration use case shown in Figure 1 can be problematic, because all of the VM's L2 connectivity breaks (e.g., ARP cache entries contain unreachable L2 addresses).  Section 3.2 refers to a "proxy" - what is it and where is it in the network diagrams?

That said, I believe that the ACL and related firewall state transfer problems exist, but I'm concerned that other problems (e.g., DHCP state) may be artifacts of unclear assumptions about network architecture that may not be reasonable.  For DHCP in particular, a few well-placed DHCP proxies may solve the problem, but the network diagrams are sufficiently unclear that I can't figure out where to locate the proxies.

Thanks,
--David
----------------------------------------------------
David L. Black, Distinguished Engineer
EMC Corporation, 176 South St., Hopkinton, MA  01748
+1 (508) 293-7953             FAX: +1 (508) 293-7786
[email-masked]        Mobile: +1 (978) 394-7754
----------------------------------------------------

From: [email-masked] [mailto:[email-masked]] On Behalf Of wangdanhua
Sent: Wednesday, June 29, 2011 11:05 PM
To: [email-masked]; [email-masked]; [email-masked]
Subject: Looking forward to your comments: Survey and Gap Analysis for Policies and Dynamic Information Migration in Data Center

Hi all,

A few days ago, we sent a draft considering "policies and dynamic information migration in DC" to OPSAWG, the draft ID is "draft-gu-opsa-policies-migration-00" and its URL is http://datatracker.ietf.org/doc/draft-gu-opsa-policies-migration/ . Based on this problem statement draft as well as the discussion at the 80th IETF conference, we also performed a gap analysis between dynamic information migration (DIM) requirements and the most related IETF works. We sent a gap analysis draft to the OPSAWG, here is the URL  http://datatracker.ietf.org/doc/draft-wang-opsawg-policies-migration-gap-analysis/ . Following is the abstract of this draft. We sincerely hope that you would give your valuable comment or options if you are interest in this draft.

With the virtualization of Data Center, the number of VM explodes. VM can play different roles in Data Center, such as end-host, server, firewall, and so on. Also, VM can be migrated to any places within Data Center, even to another Data Center. Since running services shouldn't be significantly interrupted while VM migrates, VM related policies and dynamic information generated by any devices must be transferred to destination devices during a proper short period. [I.D-gu-opsa-policies-migration-00] has introduced more detail problem statement and corresponding considerations. We wish we could benefit from existing work to realize accurate dynamic information migration (DIM).  Therefore, we engaged in the investigation of related IETF works right after general requirements of DIM are defined.  Since the solution for DIM has not been decided yet, and the author can envision several kinds of solution, e.g. centralized or distributed.  It's unrealistic to enumerate all the related works for an uncertain solution.  So, in this draft, only the most related IETF work, MIDCOM protocol, has been evaluated to find out whether it can fully support DIM or which characteristics can be reused in DIM. The author would like analyze other related IETF works when the WG make further decision on DIM solution.

Following a short description of general DIM requirements, this draft presents a brief survey of MIDCOM protocol, and then lists the gap between MIDCOM and DIM requirements.  The final section presents possible working scope on the topic of DIM in IETF.

Best Regards
Danhua Wang
HuaWei Technology Co. Ltd.
Nanjing, China